# 3.10.14. WorkerManager

## 3.10.14.1. WorkerRegistration

class buildbot.worker.manager.WorkerRegistration(master, worker)

  Represents single worker registration.

  unregister()

    Remove registration for worker.

  update(worker_config, global_config)
    Parameters:

      - worker_config (`Worker`) – new Worker instance

      - global_config (`MasterConfig`) – Buildbot config

    Update the registration in case the port or password has changed.

    Note

    You should invoke this method after calling WorkerManager.register(worker).

## 3.10.14.2. WorkerManager

class buildbot.worker.manager.WorkerManager(master)

  Handle worker registrations for multiple protocols.

  register(worker)
    Parameters:

      worker (`Worker`) – new Worker instance

    Returns:

      `WorkerRegistration`

    Creates `WorkerRegistration` instance.

    Note

    You should invoke .update() on returned WorkerRegistration instance.